Ticket #202 (new task)

Opened 2 years ago

Last modified 2 years ago

Popfile not delivering emails from ISP to email client?

Reported by: surfing69 Assigned to:
Priority: normal Milestone:
Component: unknown Version: 1.1.3
Severity: normal Keywords:
Cc:

Description

My ISP is TalkTalk? and email client is Outlook 2010.

I have noticed that when I click 'send/receive', I keep getting a dialogue window asking me to confirm login details for my email account. I then see an error message in the 'send/receive window - 'server has rejected login details.'

Pls find attached screen shots of this issue.

Is this an issue with your server or my ISP server?

Attachments

OUTLOOK- ENTER USER AND PASSWORD FOR FOLLOWING SERVER_12.07.15.jpg (48.6 kB) - added by brian on 07/18/15 16:45:28.
server rejects username + password.jpg (70.1 kB) - added by brian on 07/18/15 16:46:59.
popfile email_username rejected_server responded cant connect to pop.tiscali.co.,uk.110_26.07.15.jpg (56.2 kB) - added by surfing69 on 07/26/15 12:13:11.
popfile.8080.configuration link shows blank page_31.07.15.jpg (107.8 kB) - added by surfing69 on 07/31/15 20:39:31.
popfile outlook settings_31.07.15.jpg (221.4 kB) - added by surfing69 on 07/31/15 20:40:13.
enter user and pass for beaudel_01.08.15.jpg (35.3 kB) - added by surfing69 on 08/01/15 14:28:26.

Change History

07/18/15 14:09:54 changed by brian

According to the TalkTalk Help pages (http://help2.talktalk.co.uk/email-settings-imap-pop3) the POP3 server address for tiscali.co.uk accounts is:

pop.tiscali.co.uk

Your screenshot shows you have configured Outlook to tell POPFile that the Tiscali.co.uk POP3 server's address is

pop3.tiscali.co.uk

Try removing the '3' from the Outlook User Name value (so that it starts with pop.tiscali.co.uk instead of pop3.tiscali.co.uk)

07/18/15 16:45:28 changed by brian

  • attachment OUTLOOK- ENTER USER AND PASSWORD FOR FOLLOWING SERVER_12.07.15.jpg added.

07/18/15 16:46:59 changed by brian

  • attachment server rejects username + password.jpg added.

07/18/15 16:51:52 changed by brian

The 'server rejects username + password.2.jpg' image appeared to be identical to the 'server rejects username + password.jpg' image so I deleted it. I've also blacked out parts of the email addresses shown in the screenshots.

07/26/15 12:13:11 changed by surfing69

  • attachment popfile email_username rejected_server responded cant connect to pop.tiscali.co.,uk.110_26.07.15.jpg added.

07/26/15 12:14:08 changed by surfing69

I changed the pop3 to pop but still keep seeing the error messages asking me to verify my username and password. The latest error message stated

"Receiving reported error (0x800CCC91): 'Your email server rejected your username. Verify your username for this account in Account Settings. The server responded:'-ERR cant connect to pop.tiscali.co.uk:110'

Any further advice would be appreciate.

I was going to attach a screen shot but cant understand how your system works

Thanks

07/26/15 12:15:58 changed by surfing69

well it seems that I did add an attachment but doing so was as 'clear as mud.'

07/27/15 01:20:31 changed by brian

When Outlook was configured to use a username starting with "pop3.tiscali.co.uk" it reported that the server rejected the login with a "no response from mail server" error.

When Outlook was configured to use a username starting with "pop.tiscali.co.uk" it reported that the server rejected the user name with a "can't connect to pop.tiscali.co.uk:110" error.

The Connection Problems with Mail Client page in POPFile's online manual has a lot of troubleshooting information. Try the telnet tests mentioned on that page.

Run POPFile on its own (i.e. don't try to use Outlook) and then use telnet to try to connect to the Tiscali mail server. If you get the expected responses from the mail server then there is something wrong with the way Outlook has been configured to work with POPFile.

You have not mentioned which version of Windows you are using. On some versions of Windows "telnet" is an optional feature you need to enable via the control panel ~ in Windows 7 you can enable the Telnet Client (not the Telnet Server, leave it disabled) via Control Panel | Programs | Turn Windows features on or off (listed under the heading "Programs and Features")

If you are unsure about how to use telnet, ask for help before trying to use the Telnet Client.

07/31/15 20:39:31 changed by surfing69

  • attachment popfile.8080.configuration link shows blank page_31.07.15.jpg added.

07/31/15 20:40:13 changed by surfing69

  • attachment popfile outlook settings_31.07.15.jpg added.

07/31/15 20:46:27 changed by surfing69

thank you for your further comments. However the instructions in the link are a bit unclear and confusing.

Whilst http://getpopfile.org/docs/troubleshooting:connectionpop has a lot of info, if it is difficult to understand or doesnt work, it cant really serve its purpose can it?

For e.g. when i tried to run telnet 127.0.0.1 110, my windows 7 system stated it couldnt find anything.

Furthermore

1. when I type netstat -an > output.txt in DOS, I get nothing. I had to play around with this command before I saw a result. In the end all I had to type was 'netstat -an'. The results are below - what does all this mean?

Proto Local Address Foreign Address State TCP 0.0.0.0:135 0.0.0.0:0 LISTENING TCP 0.0.0.0:445 0.0.0.0:0 LISTENING TCP 0.0.0.0:554 0.0.0.0:0 LISTENING TCP 0.0.0.0:2869 0.0.0.0:0 LISTENING TCP 0.0.0.0:5357 0.0.0.0:0 LISTENING TCP 0.0.0.0:10243 0.0.0.0:0 LISTENING TCP 0.0.0.0:27275 0.0.0.0:0 LISTENING TCP 0.0.0.0:49152 0.0.0.0:0 LISTENING TCP 0.0.0.0:49153 0.0.0.0:0 LISTENING TCP 0.0.0.0:49154 0.0.0.0:0 LISTENING TCP 0.0.0.0:49155 0.0.0.0:0 LISTENING TCP 0.0.0.0:49163 0.0.0.0:0 LISTENING TCP 0.0.0.0:49164 0.0.0.0:0 LISTENING TCP 0.0.0.0:57109 0.0.0.0:0 LISTENING TCP 0.0.0.0:57110 0.0.0.0:0 LISTENING TCP 0.0.0.0:57111 0.0.0.0:0 LISTENING TCP 0.0.0.0:57112 0.0.0.0:0 LISTENING TCP 0.0.0.0:57113 0.0.0.0:0 LISTENING TCP 0.0.0.0:57114 0.0.0.0:0 LISTENING TCP 0.0.0.0:57115 0.0.0.0:0 LISTENING TCP 0.0.0.0:57116 0.0.0.0:0 LISTENING TCP 127.0.0.1:110 0.0.0.0:0 LISTENING TCP 127.0.0.1:110 127.0.0.1:50532 TIME_WAIT TCP 127.0.0.1:110 127.0.0.1:50550 TIME_WAIT TCP 127.0.0.1:110 127.0.0.1:50561 TIME_WAIT TCP 127.0.0.1:8080 0.0.0.0:0 LISTENING TCP 127.0.0.1:27275 0.0.0.0:0 LISTENING TCP 127.0.0.1:50532 127.0.0.1:110 TIME_WAIT TCP 127.0.0.1:50533 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50535 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50537 127.0.0.1:110 TIME_WAIT TCP 127.0.0.1:50538 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50540 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50542 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50544 127.0.0.1:110 TIME_WAIT TCP 127.0.0.1:50548 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50550 127.0.0.1:110 TIME_WAIT TCP 127.0.0.1:50553 127.0.0.1:110 TIME_WAIT TCP 127.0.0.1:50557 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:50562 127.0.0.1:57109 TIME_WAIT TCP 127.0.0.1:57109 0.0.0.0:0 LISTENING TCP 127.0.0.1:57109 127.0.0.1:50551 TIME_WAIT TCP 127.0.0.1:57110 0.0.0.0:0 LISTENING TCP 127.0.0.1:57111 0.0.0.0:0 LISTENING TCP 127.0.0.1:57112 0.0.0.0:0 LISTENING TCP 127.0.0.1:57113 0.0.0.0:0 LISTENING TCP 127.0.0.1:57114 0.0.0.0:0 LISTENING TCP 127.0.0.1:57115 0.0.0.0:0 LISTENING TCP 127.0.0.1:57116 0.0.0.0:0 LISTENING TCP 192.168.1.7:139 0.0.0.0:0 LISTENING TCP 192.168.1.7:49157 77.234.44.65:80 ESTABLISHED TCP 192.168.1.7:49483 74.125.133.188:5228 ESTABLISHED TCP 192.168.1.7:49563 77.234.45.60:80 ESTABLISHED TCP 192.168.1.7:49723 132.245.68.242:443 ESTABLISHED TCP 192.168.1.7:49907 178.249.97.70:80 ESTABLISHED TCP 192.168.1.7:49982 178.249.97.70:443 ESTABLISHED TCP 192.168.1.7:50263 62.24.131.166:80 ESTABLISHED TCP 192.168.1.7:50519 216.58.210.74:443 ESTABLISHED TCP 192.168.1.7:50529 216.58.210.46:443 ESTABLISHED TCP 192.168.1.7:50534 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50536 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50539 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50541 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50543 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50558 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50563 62.24.139.60:110 TIME_WAIT TCP 192.168.1.7:50567 5.45.58.177:80 TIME_WAIT TCP [::]:135 [::]:0 LISTENING TCP [::]:445 [::]:0 LISTENING TCP [::]:554 [::]:0 LISTENING TCP [::]:2869 [::]:0 LISTENING TCP [::]:3587 [::]:0 LISTENING TCP [::]:5357 [::]:0 LISTENING TCP [::]:10243 [::]:0 LISTENING TCP [::]:49152 [::]:0 LISTENING TCP [::]:49153 [::]:0 LISTENING TCP [::]:49154 [::]:0 LISTENING TCP [::]:49155 [::]:0 LISTENING TCP [::]:49163 [::]:0 LISTENING TCP [::]:49164 [::]:0 LISTENING TCP [::1]:27275 [::]:0 LISTENING TCP [::1]:27275 [::1]:50564 TIME_WAIT TCP [::1]:57109 [::]:0 LISTENING TCP [::1]:57110 [::]:0 LISTENING TCP [::1]:57111 [::]:0 LISTENING TCP [::1]:57112 [::]:0 LISTENING TCP [::1]:57113 [::]:0 LISTENING TCP [::1]:57114 [::]:0 LISTENING TCP [::1]:57115 [::]:0 LISTENING TCP [::1]:57116 [::]:0 LISTENING TCP [fe80::fdca:e5a3:3705:b39d%11]:49505 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49506 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49507 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49508 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49509 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49510 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49511 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49512 [fe80::1c52:252f:766e:c455%11]:13

5 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49513 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49514 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49515 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49516 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49517 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49518 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49519 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

TCP [fe80::fdca:e5a3:3705:b39d%11]:49520 [fe80::1c52:252f:766e:c455%11]:49

156 ESTABLISHED

UDP 0.0.0.0:68 *:* UDP 0.0.0.0:123 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:3702 *:* UDP 0.0.0.0:5004 *:* UDP 0.0.0.0:5005 *:* UDP 0.0.0.0:5353 *:* UDP 0.0.0.0:5355 *:* UDP 0.0.0.0:49337 *:* UDP 0.0.0.0:54549 *:* UDP 0.0.0.0:58772 *:* UDP 0.0.0.0:64950 *:* UDP 127.0.0.1:1900 *:* UDP 127.0.0.1:58245 *:* UDP 192.168.1.7:137 *:* UDP 192.168.1.7:138 *:* UDP 192.168.1.7:1900 *:* UDP 192.168.1.7:58244 *:* UDP [::]:123 *:* UDP [::]:3540 *:* UDP [::]:3702 *:* UDP [::]:3702 *:* UDP [::]:3702 *:* UDP [::]:3702 *:* UDP [::]:3702 *:* UDP [::]:3702 *:* UDP [::]:5004 *:* UDP [::]:5005 *:* UDP [::]:5355 *:* UDP [::]:49338 *:* UDP [::]:54550 *:* UDP [::]:58773 *:* UDP [::]:64951 *:* UDP [::1]:1900 *:* UDP [::1]:58243 *:* UDP [fe80::fdca:e5a3:3705:b39d%11]:1900 *:* UDP [fe80::fdca:e5a3:3705:b39d%11]:58242 *:*

When i clicked on http://popfile:8080/configuration- I got a blank ERR page.

2. Regarding , AV scanners, Ad Blockers - how long do I need to switch these off for? I use Avast(free) as my AV which protects my emails from malicious code/hackers and so would I switch this off? I use Microsoft Firewall which isnt listed in http://getpopfile.org/docs/howtos#configuring_proxies_firewalls_antivirus. However it is configured to accept Outlook.

3. what do you mean running POPfile on its own? How does one do this? There doesnt appear to be any instruction on this page. The error messages I see when sending/ receiving are intermittent and how long would I need to access my mail through POPfile before I was confident that it was a configuration issue between Outlook and POPfile?

4. I have enabled Telnet Client in Programs+Features and will see what happens.

Finally, whilst I appreciate the Forum/TRac system is open source, I found the experience very confusing. Surely this isnt how you want an end user to feel? I wouldn't have a clue if there was an issue with the TCP/IP stack let alone understanding what TCP means. I just want an app that recognises its environment i.e. Windows 7 and Outlook, in my case, and JUST work.

I have attached a couple of screen shots illustrating the above.

08/01/15 02:04:00 changed by brian

Whilst http://getpopfile.org/docs/troubleshooting:connectionpop has a lot of info, if it is difficult to understand or doesnt work, it cant really serve its purpose can it?

That page starts with the statement "Troubleshooting problems connecting to POPFile's POP3 Proxy can be difficult as there are many reasons why you could fail to connect, ranging from other proxies and virus scanners to firewalls." If I remember correctly the page was created by assembling lots of information from various sources ~ no doubt it could be improved but that would take some time.

The page describes a series of tests which can be used to diagnose some of the many causes of connection problems and goes into detail which, at first glance, makes the page seem very complicated. In many cases only a few of the tests mentioned on that page need to be run.

In my earlier reply I said "Try the telnet tests mentioned on that page". These tests are the first ones described and involve typing a few commands to test that POPFile is able to access the mail server.

when i tried to run telnet 127.0.0.1 110, my windows 7 system stated it couldnt find anything.

If Windows reported "'telnet' is not recognized as an internal or external command, operable program or batch file." then you need to install the Telnet Client ~ I mentioned this in my previous reply:

You have not mentioned which version of Windows you are using. On some versions of Windows "telnet" is an optional feature you need to enable via the control panel ~ in Windows 7 you can enable the Telnet Client (not the Telnet Server, leave it disabled) via Control Panel | Programs | Turn Windows features on or off (listed under the heading "Programs and Features")


when I type netstat -an > output.txt

I did not ask you to run the netstat command. The Telnet Client test is the only test I wanted you to run ~ the results of the telnet test will determine what to do next.

When i clicked on http://popfile:8080/configuration- I got a blank ERR page.

The default addresses for the POPFile User Interface (the UI) are http://127.0.0.1:8080 or http://localhost:8080 so why did you use http://popfile:8080 to access the UI? Have you edited the hosts file on your computer?

The error message shown in your screenshot is the message shown when an invalid address is entered or when the correct address is entered but POPFile is not running. If POPFile is not running on your computer then you will not be able to access the UI (because the UI is created by a small webserver running on your computer).

Regarding , AV scanners, Ad Blockers - how long do I need to switch these off for?

I did not ask you to run all of the tests on the troubleshooting page. The Telnet Client test is the only test I wanted you to run ~ the results of the telnet test will determine the next step to be performed.

what do you mean running POPfile on its own? How does one do this?

When I said "Run POPFile on its own (i.e. don't try to use Outlook) and then use telnet to try to connect to the Tiscali mail server" what I meant was shut down Outlook so it cannot attempt to use POPFile to check for new email ~ this means the only commands sent to POPFile will be the ones you type into the telnet client.

The error messages I see when sending/ receiving are intermittent

This is the first time you have mentioned that the problem is intermittent ~ it would have been helpful if you'd mentioned this earlier.

how long would I need to access my mail through POPfile before I was confident that it was a configuration issue between Outlook and POPfile?

I'm not sure what you mean. You reported earlier that you get either a "no response from mail server" error or a "can't connect to pop.tiscali.co.uk:110" error when Outlook tries to check for new email. If the telnet tests succeed in communicating with the mail server then the next step is to check the Outlook to POPFile link.

I have enabled Telnet Client in Programs+Features and will see what happens.

I assume you did this after you found "my windows 7 system stated it couldnt find anything."

The telnet tests should not take very long. Here is a list of the commands I want you to try.

On Windows 7 machines, simply run the Windows Command Processor (cmd.exe) ~ one way to do this is to open the "Run" dialog box (press the Windows key and R key), type cmd.exe into the box and click "OK" ~ then enter the following and press the ENTER key:

telnet 127.0.0.1 110

Telnet should start up and connect to POPFile, resulting in a message like this:

+OK POP3 POPFile (v1.1.3) server ready

Now try logging on to the Tiscali PO3P server. Type USER followed by a space then the server's name followed by a colon character and the real user name for the email account then press the ENTER key:

USER real.server.address:myusername

You should get a response similar to this (the text after the "+OK" depends upon how the mail server has been configured):

+OK Password required

Now type PASS followed by a space then your password (put your real password where the x's are, the telnet client will display your password as you type it) and press the ENTER key:

PASS xxxxxx

You should see a response like this (the text after the "+OK" depends upon how the mail server has been configured):

+OK logged in.

Assuming you get the "+OK" response, you know that POPFile is correctly proxying to your POP3 provider, so your problem lies entirely with the configuration of your mail client.

Now type QUIT and press the ENTER key to end the telnet session:

QUIT

You should see a response like this (the text after the "+OK" depends upon how the mail server has been configured and there may be a slight delay before the command-prompt appears):

+OK Bye-bye.

Connection to host lost.

You can then close the cmd.exe program by typing EXIT and pressing the ENTER key.

08/01/15 14:28:26 changed by surfing69

  • attachment enter user and pass for beaudel_01.08.15.jpg added.

08/01/15 18:57:19 changed by surfing69

With respect, I have a limited and basic knowledge of mail server settings. I dont even know what UI meant. I had to look it up in Google - i.e. User Interface (LOL).

I still feel that the wording and layout in your 'help/troubleshooting pages' could be improved. I write SOP's for a living, and the intention is to allow any Joe of the street to read the instructions and be able to operate the relevant machinery. In other words, consider your audience when writing an instruction manual.

For e.g. if you had stated in your troubleshooting that the Telnet client should 1st be installed before attempting to carry the RUN test , this would have cut down on the confusion.

Thank you for the instructions you provided on this occasion which were much much clearer. However regarding

" Type USER followed by a space then the server's name followed by a colon character and the real user name for the email account then press the ENTER key:

USER real.server.address:myusername"

I didnt know what you meant by the 'server name'. I took a chance that the server name would be pop.tiscali.co.uk.

I then added my email account after the semicolon. However I got an error message. I realised this was because this email account wasnt connected to the POPfile server. I then tried another email account which is currently associated with the POPfile server. On this occasion, I saw the results as per your post above, which, according to you, suggests an issue with the email client i.e. Outlook 2010. If this is the case, would you have any idea what the conflict could be? Should I post this issue on the Microsoft Community Help Forum.

Finally, whilst I appreciate the fact that this is an open source project, any improvements regarding the wording/instructions on the help/troubleshooting pages would be appreciated. This would also apply to the mechanism by which issues are posted as this stressed me out considerably.

08/01/15 19:01:38 changed by surfing69

I forgot to add, the error messages ""no response from mail server" error or a "can't connect to pop.tiscali.co.uk:110" error, can be very intermittent in their incidence.

In other words, I might have been able to connect to the tiscali mail server via telnet on this occasion, I may not be successful on subsequent occasions (?).